Runtime

## org.eclipse.gmf.runtime.notation
Interface CanonicalStyle

All Superinterfaces:
  EObject, Notifier, Style

All Known Implementing Classes:
  CanonicalStyleImpl

public interface CanonicalStyle
extends Style

A representation of the model object 'Canonical Style'.

Canonical style is a style to be installed on views that need to be synchronized with business model (i.e. notation model would be in synch with business model). Definition of 'in synch' is user-defined.

The following features are supported:

- `Canonical`

See Also:
  `NotationPackage.getCanonicalStyle()`
** Generated **
Model:

Method Summary
`boolean` `isCanonical()` Returns the value of the 'Canonical' attribute.
`void` `setCanonical(boolean value)` Sets the value of the '`Canonical`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCanonical

    public boolean isCanonical()

  Returns the value of the 'Canonical' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Canonical' attribute.
  See Also:
    `CanonicalStyle.setCanonical(boolean)`, `NotationPackage.getCanonicalStyle_Canonical()`
  ** Generated **
  Model:
    default="true"

### setCanonical

    public void setCanonical(boolean value)

  Sets the value of the '`Canonical`' attribute.

  Parameters:
    `value` - the new value of the 'Canonical' attribute.
  See Also:
    `CanonicalStyle.isCanonical()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.